http://amplify.{region}.amazonaws.com/apps/{appId}/branches/{branchName}/deploymentsCreates a deployment for a manually deployed Amplify app. Manually deployed apps are not connected to a repository.
The unique ID for an Amplify app.
The name for the branch, for the job.
An optional file map that contains the file name as the key and the file content md5 hash as the value. If this argument is provided, the service will generate a unique upload URL per file. Otherwise, the service will only generate a single upload URL for the zipped files.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://amplify.{region}.amazonaws.com/apps/{appId}/branches/{branchName}/deployments' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://amplify.{region}.amazonaws.com/apps/{appId}/branches/{branchName}/deploymentsCreates a deployment for a manually deployed Amplify app. Manually deployed apps are not connected to a repository.
The unique ID for an Amplify app.
The name for the branch, for the job.
An optional file map that contains the file name as the key and the file content md5 hash as the value. If this argument is provided, the service will generate a unique upload URL per file. Otherwise, the service will only generate a single upload URL for the zipped files.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://amplify.{region}.amazonaws.com/apps/{appId}/branches/{branchName}/deployments' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}